/*
 * db.h
 *
 *  Created on: 13 июл. 2022 г.
 *      Author: alexander
 */

#ifndef DB_H_
#define DB_H_

#include "parameter.h"
#include "value.h"

typedef struct Host
{
    char **data;
    size_t size;
} Host;

typedef struct Hosts
{
    Host **host;
    size_t size;
} Hosts;

bool dbLoadData();
Hosts *dbGetHostsList();
void dbFreeHosts(Hosts *hosts);
bool dbWriteParameter(Parameter name, bool set);
bool dbWriteValue(Value name, bool set);
bool dbSetUserNameCurrent(char *current);
int dbAddServer(char *ip, char *dns);

#endif /* DB_H_ */
